package register

import (
	"SCRM/enums"
	"SCRM/service/login_service"
	"fmt"
	"github.com/astaxie/beego"
)

func LoginRouter() {

	beego.Router("/api/site/gettologin", &LoginManagement{}, "Post:GetToLogin")
}

type LoginManagement struct {
	beego.Controller
}

func (this *LoginManagement) ServeFailJsonSend(code int, msg string) {
	this.Data["json"] = enums.MakeFailResponseJSON(msg, code)
	this.ServeJSON()
}

func (this *LoginManagement) ServeSuccessJSON(data map[string]interface{}) {
	this.Data["json"] = enums.MakeSuccessResponseJSON(data)
	this.ServeJSON()
}

func (this *LoginManagement) GetToLogin() {
	tel := this.GetString("tel")
	fmt.Println("哈哈tel是设么", tel)
	psd := this.GetString("psd")
	fmt.Println("psd是设么", psd)
	admin, err := login_service.QueryLogin(tel, psd)
	fmt.Println("错误是设么", err)
	if err != nil {
		this.ServeFailJsonSend(enums.ErrorCodeDataException, "删除回复成功")
		return
	}
	this.ServeSuccessJSON(map[string]interface{}{
		"admin": admin,
	})
}
